ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dona...@apache.org
Subject cvs commit: jakarta-ant/src/main/org/apache/tools/ant/taskdefs/optional/extension Extension.java Specification.java
Date Mon, 27 May 2002 11:02:06 GMT
donaldp     02/05/27 04:02:06

  Modified:    src/main/org/apache/tools/ant/taskdefs/optional/extension
                        Tag: ANT_15_BRANCH Extension.java
                        Specification.java
  Log:
  Once again Jeff rushes to the rescue and points out all the places I messed up the spelling.
  
  Submitted by: Jeff Turner <jeff@socialchange.net.au>
  
  Revision  Changes    Path
  No                   revision
  
  
  No                   revision
  
  
  1.2.2.2   +13 -13    jakarta-ant/src/main/org/apache/tools/ant/taskdefs/optional/extension/Extension.java
  
  Index: Extension.java
  ===================================================================
  RCS file: /home/cvs/jakarta-ant/src/main/org/apache/tools/ant/taskdefs/optional/extension/Extension.java,v
  retrieving revision 1.2.2.1
  retrieving revision 1.2.2.2
  diff -u -r1.2.2.1 -r1.2.2.2
  --- Extension.java	8 May 2002 09:35:07 -0000	1.2.2.1
  +++ Extension.java	27 May 2002 11:02:06 -0000	1.2.2.2
  @@ -79,7 +79,7 @@
    *
    * @author <a href="mailto:craigmcc@apache.org">Craig R. McClanahan</a>
    * @author <a href="mailto:peter@apache.org">Peter Donald</a>
  - * @version $Revision: 1.2.2.1 $ $Date: 2002/05/08 09:35:07 $
  + * @version $Revision: 1.2.2.2 $ $Date: 2002/05/27 11:02:06 $
    */
   public final class Extension
   {
  @@ -150,29 +150,29 @@
       /**
        * Enum indicating that extension is compatible with other extension.
        */
  -    public static final Compatability COMPATIBLE =
  -        new Compatability( "COMPATIBLE" );
  +    public static final Compatibility COMPATIBLE =
  +        new Compatibility( "COMPATIBLE" );
   
       /**
        * Enum indicating that extension requires an upgrade
        * of specification to be compatible with other extension.
        */
  -    public static final Compatability REQUIRE_SPECIFICATION_UPGRADE =
  -        new Compatability( "REQUIRE_SPECIFICATION_UPGRADE" );
  +    public static final Compatibility REQUIRE_SPECIFICATION_UPGRADE =
  +        new Compatibility( "REQUIRE_SPECIFICATION_UPGRADE" );
   
       /**
        * Enum indicating that extension requires a vendor
        * switch to be compatible with other extension.
        */
  -    public static final Compatability REQUIRE_VENDOR_SWITCH =
  -        new Compatability( "REQUIRE_VENDOR_SWITCH" );
  +    public static final Compatibility REQUIRE_VENDOR_SWITCH =
  +        new Compatibility( "REQUIRE_VENDOR_SWITCH" );
   
       /**
        * Enum indicating that extension requires an upgrade
        * of implementation to be compatible with other extension.
        */
  -    public static final Compatability REQUIRE_IMPLEMENTATION_UPGRADE =
  -        new Compatability( "REQUIRE_IMPLEMENTATION_UPGRADE" );
  +    public static final Compatibility REQUIRE_IMPLEMENTATION_UPGRADE =
  +        new Compatibility( "REQUIRE_IMPLEMENTATION_UPGRADE" );
   
       /**
        * Enum indicating that extension is incompatible with
  @@ -180,8 +180,8 @@
        * indicate). ie For example the other extension may have
        * a different ID.
        */
  -    public static final Compatability INCOMPATIBLE =
  -        new Compatability( "INCOMPATIBLE" );
  +    public static final Compatibility INCOMPATIBLE =
  +        new Compatibility( "INCOMPATIBLE" );
   
       /**
        * The name of the optional package being made available, or required.
  @@ -503,10 +503,10 @@
        * <code>Extension</code> with the specified <code>Extension</code>.
        *
        * @param required Description of the required optional package
  -     * @return the enum indicating the compatability (or lack thereof)
  +     * @return the enum indicating the compatibility (or lack thereof)
        *         of specifed extension
        */
  -    public Compatability getCompatibilityWith( final Extension required )
  +    public Compatibility getCompatibilityWith( final Extension required )
       {
           // Extension Name must match
           if( !m_extensionName.equals( required.getExtensionName() ) )
  
  
  
  1.1.2.1   +13 -13    jakarta-ant/src/main/org/apache/tools/ant/taskdefs/optional/extension/Specification.java
  
  Index: Specification.java
  ===================================================================
  RCS file: /home/cvs/jakarta-ant/src/main/org/apache/tools/ant/taskdefs/optional/extension/Specification.java,v
  retrieving revision 1.1
  retrieving revision 1.1.2.1
  diff -u -r1.1 -r1.1.2.1
  --- Specification.java	18 Apr 2002 12:50:35 -0000	1.1
  +++ Specification.java	27 May 2002 11:02:06 -0000	1.1.2.1
  @@ -79,7 +79,7 @@
    * WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING
    *
    * @author <a href="mailto:peter@apache.org">Peter Donald</a>
  - * @version $Revision: 1.1 $ $Date: 2002/04/18 12:50:35 $
  + * @version $Revision: 1.1.2.1 $ $Date: 2002/05/27 11:02:06 $
    */
   public final class Specification
   {
  @@ -123,29 +123,29 @@
        * Enum indicating that extension is compatible with other Package
        * Specification.
        */
  -    public static final Compatability COMPATIBLE =
  -        new Compatability( "COMPATIBLE" );
  +    public static final Compatibility COMPATIBLE =
  +        new Compatibility( "COMPATIBLE" );
   
       /**
        * Enum indicating that extension requires an upgrade
        * of specification to be compatible with other Package Specification.
        */
  -    public static final Compatability REQUIRE_SPECIFICATION_UPGRADE =
  -        new Compatability( "REQUIRE_SPECIFICATION_UPGRADE" );
  +    public static final Compatibility REQUIRE_SPECIFICATION_UPGRADE =
  +        new Compatibility( "REQUIRE_SPECIFICATION_UPGRADE" );
   
       /**
        * Enum indicating that extension requires a vendor
        * switch to be compatible with other Package Specification.
        */
  -    public static final Compatability REQUIRE_VENDOR_SWITCH =
  -        new Compatability( "REQUIRE_VENDOR_SWITCH" );
  +    public static final Compatibility REQUIRE_VENDOR_SWITCH =
  +        new Compatibility( "REQUIRE_VENDOR_SWITCH" );
   
       /**
        * Enum indicating that extension requires an upgrade
        * of implementation to be compatible with other Package Specification.
        */
  -    public static final Compatability REQUIRE_IMPLEMENTATION_CHANGE =
  -        new Compatability( "REQUIRE_IMPLEMENTATION_CHANGE" );
  +    public static final Compatibility REQUIRE_IMPLEMENTATION_CHANGE =
  +        new Compatibility( "REQUIRE_IMPLEMENTATION_CHANGE" );
   
       /**
        * Enum indicating that extension is incompatible with
  @@ -153,8 +153,8 @@
        * indicate). ie For example the other Package Specification
        * may have a different ID.
        */
  -    public static final Compatability INCOMPATIBLE =
  -        new Compatability( "INCOMPATIBLE" );
  +    public static final Compatibility INCOMPATIBLE =
  +        new Compatibility( "INCOMPATIBLE" );
   
       /**
        * The name of the Package Specification.
  @@ -395,10 +395,10 @@
        * <code>Package Specification</code> with the specified <code>Extension</code>.
        *
        * @param other the other specification
  -     * @return the enum indicating the compatability (or lack thereof)
  +     * @return the enum indicating the compatibility (or lack thereof)
        *         of specifed Package Specification
        */
  -    public Compatability getCompatibilityWith( final Specification other )
  +    public Compatibility getCompatibilityWith( final Specification other )
       {
           // Specification Name must match
           if( !m_specificationTitle.equals( other.getSpecificationTitle() ) )
  
  
  

--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message